aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRalph Sennhauser <sera@gentoo.org>2012-03-06 09:10:17 +0000
committerRalph Sennhauser <sera@gentoo.org>2012-03-06 09:10:17 +0000
commitcf002868a1377b09003fe6795b1e0dea54fee453 (patch)
treee90afcc5d675efe5464051edf7a18abc2d378684
parentRevbump with upstream patch to fix plugin initialization. (diff)
downloadjava-cf002868a1377b09003fe6795b1e0dea54fee453.tar.gz
java-cf002868a1377b09003fe6795b1e0dea54fee453.tar.bz2
java-cf002868a1377b09003fe6795b1e0dea54fee453.zip
Version bump
(Portage version: 2.1.10.49/svn/Linux x86_64, signed Manifest commit with key 0xDA575EB7) svn path=/java-overlay/; revision=8996
-rw-r--r--dev-java/icedtea-web/ChangeLog7
-rw-r--r--dev-java/icedtea-web/Manifest19
-rw-r--r--dev-java/icedtea-web/icedtea-web-1.2-r7.ebuild137
-rw-r--r--dev-java/icedtea-web/icedtea-web-1.2.ebuild137
4 files changed, 299 insertions, 1 deletions
diff --git a/dev-java/icedtea-web/ChangeLog b/dev-java/icedtea-web/ChangeLog
index c024a1eb..32be260b 100644
--- a/dev-java/icedtea-web/ChangeLog
+++ b/dev-java/icedtea-web/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*icedtea-web-1.2-r7 (06 Mar 2012)
+*icedtea-web-1.2 (06 Mar 2012)
+
+ 06 Mar 2012; Ralph Sennhauser <sera@gentoo.org> +icedtea-web-1.2.ebuild,
+ +icedtea-web-1.2-r7.ebuild:
+ Version bump
+
*icedtea-web-1.1.4-r8 (02 Mar 2012)
02 Mar 2012; Vlastimil Babka <caster@gentoo.org>
diff --git a/dev-java/icedtea-web/Manifest b/dev-java/icedtea-web/Manifest
index 6d6ad10b..9aa2d166 100644
--- a/dev-java/icedtea-web/Manifest
+++ b/dev-java/icedtea-web/Manifest
@@ -1,8 +1,25 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
AUX 0002-Respect-LDFLAGS.patch 352 RMD160 350d3e85929372dc4193834e6994787aceed7003 SHA1 66a60a87bf6b5487a55e036bef9df42918988b9d SHA256 3e4660e84420e2ae85b00eef40e7e20c0df2c6965fda6827ab025e8167e8f866
AUX fix-plugin-in-icedtea-7.patch 15838 RMD160 a072ac5bd931bc28f4fbb2f0671725596ae53212 SHA1 7772f2050787af819799dc203b58965f5636f51c SHA256 335ddc5f92751756f21a623f7ba82cb9046287c8eaaed574c96f71ccadb8e985
DIST icedtea-web-1.1.4.tar.gz 812273 RMD160 2aac06c05d4513694968f86861225b5329307781 SHA1 9389030878d7c3aee17f641e3095830fe722fb60 SHA256 b17a742af0153b7887cf667a160f8519afad125bc515b0f4783c66e7ee1a7f26
+DIST icedtea-web-1.2.tar.gz 885793 RMD160 3686b66531088050934ba25c8ac5be3fc23ff899 SHA1 4b7e38b13101ac1f18dc276f17be37a0ed2b28df SHA256 3f8d22b655df207409dd3451ba02907f61a12ac051e4df4d44bb5ed47c4f778d
EBUILD icedtea-web-1.1.4-r7.ebuild 3947 RMD160 c2ca94f363127be835030b371e23eabdf0cdfbc5 SHA1 06d72d0ac062153b4e10e224becb85af5acf123f SHA256 658a99feffd54753b9ea3718e2870aa33cb9097578775448729b8e24c0c45ec5
EBUILD icedtea-web-1.1.4-r8.ebuild 4074 RMD160 20d81aeeb1142b3c4b4b1cd258e668d737d3d0d5 SHA1 63599b3bd20407562c1506f7bde3e71f571607ed SHA256 110cb97e651d0aa2877c4dfe180695520061d127255a3380044768f6377c5a37
EBUILD icedtea-web-1.1.4.ebuild 3956 RMD160 97b5d4c531d8bd0856407a305119b28a14ef5e27 SHA1 3fd09263950f4d062bdc4b3b207545cb6c14dd05 SHA256 324335acb6270fa0e32ab905f885b828fe1e1c0964182725179f3f2df90a2cc6
-MISC ChangeLog 5542 RMD160 cfed12ca259d3f00e8f5488107f206f4e0e5764d SHA1 af7b16287e6192425f0dc22a687f6fa5df8d1e14 SHA256 ac53dd1cc6a4061ed210ab77377401815e31369a454b0909791827a0d903a7b4
+EBUILD icedtea-web-1.2-r7.ebuild 3947 RMD160 c2ca94f363127be835030b371e23eabdf0cdfbc5 SHA1 06d72d0ac062153b4e10e224becb85af5acf123f SHA256 658a99feffd54753b9ea3718e2870aa33cb9097578775448729b8e24c0c45ec5
+EBUILD icedtea-web-1.2.ebuild 3956 RMD160 97b5d4c531d8bd0856407a305119b28a14ef5e27 SHA1 3fd09263950f4d062bdc4b3b207545cb6c14dd05 SHA256 324335acb6270fa0e32ab905f885b828fe1e1c0964182725179f3f2df90a2cc6
+MISC ChangeLog 5729 RMD160 a2fee6bd5698add0a460f0dc1ec2467df7f0c363 SHA1 2ac0ac80c684c4767e56b630fa59095be4193725 SHA256 61322a1f9351911f219f65c666047cb8fedbefd16b21271d0521aa93049169f0
MISC metadata.xml 532 RMD160 475b5d799d063ecc980d17896d8b591680ac2a7d SHA1 acf45999323b8df83b432973a11d64e2577ff022 SHA256 48eafb34adc623b7f298610feaac56f61a01f52658b83be30e4cc8d3a9b9f1d7
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iQEcBAEBAgAGBQJPVdRzAAoJEIUJ+svaV163cqoH/0ZGfYkbGQLCWQylYbO37Wj8
+0oN/yqIEaGZz4T2NmC+4Qenou/xrqIoKRQd5KhLe+zhngH0/Ty/cN/dUYwXbIGsb
+B76rbcDZsY3UPZmilKMfvoAKBJwGsfX0xiMyydjgoWVzC69mjSbR9NGFKKSupszJ
+mQ5Fc5GV+lOyUOFLjB4x4gjjOrTMXBf2EDTqMj8xnQoPIxGVOsaaYSY4WV/Dw0U9
+mY8K/gpbdiA41eXSMTyOC3WtErDJDxhh5XvZqFC918BM5G0yxsdKhfXOeLMweFvN
+N782fEBUCX1Vp07+1qTVQtjo3m2aCku49+avXnwOzMP7L2xMDaB6yMhJBM7X2yo=
+=2a4y
+-----END PGP SIGNATURE-----
diff --git a/dev-java/icedtea-web/icedtea-web-1.2-r7.ebuild b/dev-java/icedtea-web/icedtea-web-1.2-r7.ebuild
new file mode 100644
index 00000000..6a50f0c1
--- /dev/null
+++ b/dev-java/icedtea-web/icedtea-web-1.2-r7.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/icedtea-web/icedtea-web-1.1.4-r7.ebuild,v 1.1 2011/11/24 20:57:04 sera Exp $
+# Build written by Andrew John Hughes (ahughes@redhat.com)
+
+EAPI="4"
+
+inherit autotools eutils java-pkg-2 java-vm-2
+
+DESCRIPTION="FOSS Java browser plugin and Web Start implementation"
+HOMEPAGE="http://icedtea.classpath.org"
+SRC_URI="http://icedtea.classpath.org/download/source/${P}.tar.gz"
+
+LICENSE="GPL-2 GPL-2-with-linking-exception LGPL-2"
+SLOT="7"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="build doc javascript +nsplugin test"
+
+RDEPEND="dev-java/icedtea:${SLOT}"
+# Need system junit 4.8+. Bug #389795
+DEPEND="${RDEPEND}
+ javascript? ( dev-java/rhino:1.6 )
+ nsplugin? (
+ || ( net-misc/npapi-sdk
+ >=net-libs/xulrunner-1.9.1 ) )
+ test? ( >=dev-java/junit-4.8:4 )"
+
+# a bit of hack so the VM switching is triggered without causing dependency troubles
+JAVA_PKG_NV_DEPEND=">=virtual/jdk-1.6"
+JAVA_PKG_WANT_SOURCE="1.6"
+JAVA_PKG_WANT_TARGET="1.6"
+
+pkg_setup() {
+ [[ "${MERGE_TYPE}" == "binary" ]] && return # bug 258423
+
+ # quite a hack since java-config does not provide a way for a package
+ # to limit supported VM's for building and their preferred order
+ if [[ -n "${JAVA_PKG_FORCE_VM}" ]]; then
+ einfo "Honoring user-set JAVA_PKG_FORCE_VM"
+ else
+ # migration logic
+ if [[ -L /usr/lib/jvm/icedtea${SLOT} ]]; then
+ JAVA_PKG_FORCE_VM="icedtea${SLOT}"
+ else
+ JAVA_PKG_FORCE_VM="icedtea-${SLOT}"
+ fi
+ fi
+
+ einfo "Forced vm ${JAVA_PKG_FORCE_VM}"
+ java-vm-2_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+unset_vars() {
+ unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
+}
+
+src_prepare() {
+ # bug #356645
+ epatch "${FILESDIR}"/0002-Respect-LDFLAGS.patch
+ eautoreconf
+}
+
+src_configure() {
+ local vmhome=$(java-config -O)
+
+ if use build; then
+ icedteadir="${ICEDTEA_BIN_DIR}"
+ [[ -z ${icedteadir} ]] && die "USE=build is an internal flag and should not be enabled"
+ installdir="/opt/icedtea-web-bin-${SLOT}"
+ else
+ icedteadir="/usr/$(get_libdir)/icedtea${SLOT}"
+ installdir="/usr/$(get_libdir)/icedtea${SLOT}-web"
+ fi
+
+ unset_vars
+
+ if use build || [[ ${vmhome} == ${icedteadir} ]] ; then
+ VMHANDLE="icedtea-${SLOT}"
+ else
+ die "Unexpected install location of IcedTea${SLOT}"
+ fi
+
+ einfo "Installing IcedTea-Web in ${installdir}"
+ einfo "Installing IcedTea-Web for Icedtea${SLOT} in ${icedteadir}"
+ if [ ! -e ${vmhome} ] ; then
+ eerror "Could not find JDK install directory ${vmhome}."
+ die
+ fi
+
+ # we need to override all *dir variables that econf sets
+ # man page (javaws) is installed directly to icedteadir because it's easier than symlinking, as we don't know
+ # the suffix the man page will end up compressed with, anyway
+ econf \
+ --prefix=${installdir} --mandir=${icedteadir}/man --infodir=${installdir}/share/info --datadir=${installdir}/share \
+ --with-jdk-home=${icedteadir} \
+ $(use_enable doc docs) \
+ $(use_enable nsplugin plugin) \
+ $(use_with javascript rhino)
+}
+
+src_compile() {
+ # we need this to override the src_compile from java-pkg-2
+ default
+}
+
+src_install() {
+ # parallel make problem bug #372235
+ emake -j1 DESTDIR="${D}" install
+ dodoc AUTHORS README NEWS
+
+ if use nsplugin; then
+ install_mozilla_plugin "${installdir}/$(get_libdir)/IcedTeaPlugin.so";
+ fi
+
+ for binary in javaws itweb-settings; do
+ dosym ${installdir}/bin/${binary} ${icedteadir}/bin/${binary}
+ dosym ${installdir}/bin/${binary} ${icedteadir}/jre/bin/${binary}
+ done
+}
+
+pkg_postinst() {
+ java-vm_check-nsplugin
+ java_mozilla_clean_
+
+ if use nsplugin; then
+ elog "The icedtea browser plugin (NPPlugin) can be enabled using eselect java-nsplugin"
+ elog "Note that the plugin works only in browsers based on xulrunner-1.9.1 or later"
+ elog "such as Firefox 3.5+, Chromium and perhaps some others too."
+ fi
+}
+
+pkg_prerm() {
+ # override the java-vm-2 eclass check for removing a system VM, as it doesn't make sense here
+ :;
+}
diff --git a/dev-java/icedtea-web/icedtea-web-1.2.ebuild b/dev-java/icedtea-web/icedtea-web-1.2.ebuild
new file mode 100644
index 00000000..b2666c3e
--- /dev/null
+++ b/dev-java/icedtea-web/icedtea-web-1.2.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/icedtea-web/icedtea-web-1.1.4.ebuild,v 1.1 2011/11/24 20:57:04 sera Exp $
+# Build written by Andrew John Hughes (ahughes@redhat.com)
+
+EAPI="4"
+
+inherit autotools eutils java-pkg-2 java-vm-2
+
+DESCRIPTION="FOSS Java browser plugin and Web Start implementation"
+HOMEPAGE="http://icedtea.classpath.org"
+SRC_URI="http://icedtea.classpath.org/download/source/${P}.tar.gz"
+
+LICENSE="GPL-2 GPL-2-with-linking-exception LGPL-2"
+SLOT="6"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+IUSE="build doc javascript +nsplugin test"
+
+RDEPEND="dev-java/icedtea:${SLOT}"
+# Need system junit 4.8+. Bug #389795
+DEPEND="${RDEPEND}
+ javascript? ( dev-java/rhino:1.6 )
+ nsplugin? (
+ || ( net-misc/npapi-sdk
+ >=net-libs/xulrunner-1.9.1 ) )
+ test? ( >=dev-java/junit-4.8:4 )"
+
+# a bit of hack so the VM switching is triggered without causing dependency troubles
+JAVA_PKG_NV_DEPEND=">=virtual/jdk-1.6"
+JAVA_PKG_WANT_SOURCE="1.6"
+JAVA_PKG_WANT_TARGET="1.6"
+
+pkg_setup() {
+ [[ "${MERGE_TYPE}" == "binary" ]] && return # bug 258423
+
+ # quite a hack since java-config does not provide a way for a package
+ # to limit supported VM's for building and their preferred order
+ if [[ -n "${JAVA_PKG_FORCE_VM}" ]]; then
+ einfo "Honoring user-set JAVA_PKG_FORCE_VM"
+ else
+ # migration logic
+ if [[ -L /usr/lib/jvm/icedtea${SLOT} ]]; then
+ JAVA_PKG_FORCE_VM="icedtea${SLOT}"
+ else
+ JAVA_PKG_FORCE_VM="icedtea-${SLOT}"
+ fi
+ fi
+
+ einfo "Forced vm ${JAVA_PKG_FORCE_VM}"
+ java-vm-2_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+unset_vars() {
+ unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
+}
+
+src_prepare() {
+ # bug #356645
+ epatch "${FILESDIR}"/0002-Respect-LDFLAGS.patch
+ eautoreconf
+}
+
+src_configure() {
+ local vmhome=$(java-config -O)
+
+ if use build; then
+ icedteadir="${ICEDTEA_BIN_DIR}"
+ [[ -z ${icedteadir} ]] && die "USE=build is an internal flag and should not be enabled"
+ installdir="/opt/icedtea-web-bin-${SLOT}"
+ else
+ icedteadir="/usr/$(get_libdir)/icedtea${SLOT}"
+ installdir="/usr/$(get_libdir)/icedtea${SLOT}-web"
+ fi
+
+ unset_vars
+
+ if use build || [[ ${vmhome} == ${icedteadir} ]] ; then
+ VMHANDLE="icedtea-${SLOT}"
+ else
+ die "Unexpected install location of IcedTea${SLOT}"
+ fi
+
+ einfo "Installing IcedTea-Web in ${installdir}"
+ einfo "Installing IcedTea-Web for Icedtea${SLOT} in ${icedteadir}"
+ if [ ! -e ${vmhome} ] ; then
+ eerror "Could not find JDK install directory ${vmhome}."
+ die
+ fi
+
+ # we need to override all *dir variables that econf sets
+ # man page (javaws) is installed directly to icedteadir because it's easier than symlinking, as we don't know
+ # the suffix the man page will end up compressed with, anyway
+ econf \
+ --prefix=${installdir} --mandir=${icedteadir}/man --infodir=${installdir}/share/info --datadir=${installdir}/share \
+ --with-jdk-home=${icedteadir} \
+ $(use_enable doc docs) \
+ $(use_enable nsplugin plugin) \
+ $(use_with javascript rhino)
+}
+
+src_compile() {
+ # we need this to override the src_compile from java-pkg-2
+ default
+}
+
+src_install() {
+ # parallel make problem bug #372235
+ emake -j1 DESTDIR="${D}" install
+ dodoc AUTHORS README NEWS
+
+ if use nsplugin; then
+ install_mozilla_plugin "${installdir}/$(get_libdir)/IcedTeaPlugin.so";
+ fi
+
+ for binary in javaws itweb-settings; do
+ dosym ${installdir}/bin/${binary} ${icedteadir}/bin/${binary}
+ dosym ${installdir}/bin/${binary} ${icedteadir}/jre/bin/${binary}
+ done
+}
+
+pkg_postinst() {
+ java-vm_check-nsplugin
+ java_mozilla_clean_
+
+ if use nsplugin; then
+ elog "The icedtea browser plugin (NPPlugin) can be enabled using eselect java-nsplugin"
+ elog "Note that the plugin works only in browsers based on xulrunner-1.9.1 or later"
+ elog "such as Firefox 3.5+, Chromium and perhaps some others too."
+ fi
+}
+
+pkg_prerm() {
+ # override the java-vm-2 eclass check for removing a system VM, as it doesn't make sense here
+ :;
+}